Bug 481230 - ipa-getkeytab man page & usage incorrectly lists some args as optional
ipa-getkeytab man page & usage incorrectly lists some args as optional
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.2
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 16:52 EST by John Dennis
Modified: 2015-01-04 18:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix up usage (991 bytes, patch)
2010-02-03 16:59 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description John Dennis 2009-01-22 16:52:08 EST
Both the man page and the usage from the command show the -s, -p, and -k arguments as optional when in fact they are mandatory. By long standing convention optional arguments are enclosed in square brackets in documentation. The man page and usage has all arguments enclosed in brackets, this is confusing.
Comment 1 Bug Zapper 2009-11-18 07:44:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Rob Crittenden 2010-02-03 16:59:22 EST
Created attachment 388662 [details]
fix up usage
Comment 3 Bug Zapper 2010-04-27 08:46:49 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:08:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Rob Crittenden 2010-07-06 13:34:21 EDT
master: 4e6373cf95d9626cd42281fc8f85cdbf4a8c2da9
Comment 6 Jeff Raber 2010-07-14 11:52:41 EDT
Package Maintainer: I see that you reopened this bug.  Unfortunately the 'version' is set to 11 and F11 is EOL.  Please change the 'version' to >11.
Comment 7 Rob Crittenden 2010-07-14 12:02:27 EDT
It is marked properly as MODIFIED against the release it was fixed against.
Comment 8 Jeff Raber 2010-07-14 12:52:33 EDT
In which package/version was this bug fixed?  If it was fixed in F11, this bug should be CLOSED/ERRATA.

There should be no open bugs against EOL versions.


The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Rob Crittenden 2010-07-14 13:28:19 EDT
Changing product to freeIPA

Note You need to log in before you can comment on or make changes to this bug.